Bug 9019 - ILS-DI: GetRecords should return item fields in marcxml
Summary: ILS-DI: GetRecords should return item fields in marcxml
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Julian Maurice
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-07 12:29 UTC by Julian Maurice
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9019: Return item fields in ILS-DI GetRecords (842 bytes, patch)
2012-11-07 12:34 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9019: Return item fields in ILS-DI GetRecords (913 bytes, patch)
2012-11-13 03:51 UTC, Srikanth Dhondi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9019: Return item fields in ILS-DI GetRecords (1.32 KB, patch)
2012-12-10 20:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2012-11-07 12:29:22 UTC
Since items have been removed from biblioitems.marcxml, ILS-DI service GetRecords return MARCXML for biblio only, without item fields. They should be returned as well.
Comment 1 Julian Maurice 2012-11-07 12:34:31 UTC Comment hidden (obsolete)
Comment 2 Srikanth Dhondi 2012-11-13 03:51:00 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2012-12-01 23:47:44 UTC
Hi Julian,

I tested this and I am wondering if we really need the 952 to be included in the <marcxml> element.

I found there is always a separate <item> element with all item related information. So after the patch, the information is doubled up. Is this intended?

My test was:
http://localhost/cgi-bin/koha/ilsdi.pl?service=GetRecords&id=5+1+6
Comment 4 Julian Maurice 2012-12-03 07:59:30 UTC
Hi Katrin,

Not all item informations are returned in <item> elements (only mapped ones) and the subfield code information is loss.
So yes, some informations appear twice, but in some cases we need more than those in <item>
Comment 5 Katrin Fischer 2012-12-03 08:26:38 UTC
Hi Julian, thank you for clarifying.
Comment 6 Katrin Fischer 2012-12-10 20:58:30 UTC
Created attachment 13986 [details] [review]
[SIGNED-OFF] Bug 9019: Return item fields in ILS-DI GetRecords

Signed-off-by: Srikanth Dhondi <srikanth@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

1) Activate ILS-DI in system preferencs
2) Access http://.../cgi-bin/koha/ilsdi.pl to see documentation
3) Try http://.../cgi-bin/koha/ilsdi.pl?service=GetRecords&id=12+14
   with various valid biblionumbers for your system
4) Verify 952 is included in the <marcxml> and all other data displays
   correctly

All tests pass.

http://bugs.koha-community.org/show_bug.cgi?id=9010
Comment 7 Jared Camins-Esakov 2012-12-11 13:33:51 UTC
This patch has been pushed to master.
Comment 8 claire.hernandez@biblibre.com 2013-03-20 13:08:06 UTC
I would like to ask a backport of this patch on 3.8.x and 3.10.x. Thank you.
Comment 9 Chris Cormack 2013-04-24 09:13:28 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.6 and 3.8.13